%define beta	0

Summary:	Network exploration tool and security scanner
Name:		nmap
Version:	4.20
%if %beta
Release:	%mkrel 0.%beta.1
%define theirversion %{version}%beta
%else
Release:	%mkrel 2
%define theirversion %{version}
%endif
Epoch:		1
License:	GPL
Group:		Networking/Other
URL:		http://www.insecure.org/nmap/
Source0:	http://download.insecure.org/nmap/dist/%{name}-%theirversion.tar.bz2
Source1:	%{name}_icons.tar.bz2
Patch0:		nmap-4.00-libpcap-filter.diff
Patch1:		nmap-4.00-noreturn.diff
Patch2:		nmap-4.00-nostrip.diff
BuildRequires:	gtk2-devel
BuildRequires:	libpcre-devel
BuildRequires:	openssl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Nmap is a utility for network exploration or security auditing. It supports
ping scanning (determine which hosts are up), many port scanning techniques
(determine what services the hosts are offering), and TCP/IP fingerprinting
(remote host operating system identification). Nmap also offers flexible target
and port specification, decoy scanning, determination of TCP sequence
predictability characteristics, sunRPC scanning, reverse-identd scanning, and
more.

%package	frontend
Summary:	Gtk+ frontend for nmap
Group:		Networking/Other
Requires:	%{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description	frontend
This package includes nmapfe, a Gtk+ frontend for nmap. The nmap package must
be installed before installing nmap-frontend.

%prep

%setup -q -a1 -n %{name}-%theirversion
%patch0 -p1
%patch1 -p1
%patch2 -p1

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" configure*

%build
# update config.* to recognize amd64-*
#%{?__cputoolize: %{__cputoolize} -c libpcap-possiblymodified}
#%{?__cputoolize: %{__cputoolize} -c libpcre}
%{?__cputoolize: %{__cputoolize} -c nsock/src}

%configure2_5x

%make 

%install
rm -rf %{buildroot}

%makeinstall nmapdatadir=%{buildroot}%{_datadir}/nmap

mkdir -p %{buildroot}{%_miconsdir,%_liconsdir}
install -m 644 %{name}16.png %{buildroot}%{_miconsdir}/%{name}.png
install -m 644 %{name}32.png %{buildroot}%{_iconsdir}/%{name}.png
install -m 644 %{name}48.png %{buildroot}%{_liconsdir}/%{name}.png

rm -f %{buildroot}%{_datadir}/applications/*.desktop

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Nmap
Comment=A frontend for the nmap port scanner
Exec=%{_bindir}/nmapfe
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Monitor;
EOF

%post frontend
%update_menus
%update_desktop_database

%postun frontend
%clean_menus
%clean_desktop_database

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CHANGELOG COPYING* HACKING docs/README docs/nmap.usage.txt
%{_bindir}/nmap
%{_datadir}/%{name}
%{_mandir}/man1/nmap.*

%files frontend
%defattr(-,root,root)
%{_bindir}/nmapfe
%{_bindir}/xnmap
%{_datadir}/applications/*.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_mandir}/man1/nmapfe*
%{_mandir}/man1/xnmap*


%changelog
* Fri Aug 31 2007 Funda Wang <fundawang@mandriva.org> 4.20-2mdv2008.0
+ Revision: 76517
- drop old menu
- remove quotes of comments


* Fri Dec 08 2006 Oden Eriksson <oeriksson@mandriva.com> 4.20-1mdv2007.0
+ Revision: 93641
- 4.20
- rediffed the nmap-4.00-libpcap-filter.diff patch (P0)

* Thu Oct 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:4.11-2mdv2007.0
+ Revision: 72797
- synced with opensuse patches; P0,P1,P2
- use bundled libpcap and libdnet, fixes #22559
- fix the xdg menu stuff
- Import nmap

* Sun Jun 25 2006 Giuseppe Ghib <ghibo@mandriva.com> 1:4.11-1mdv2007.0
- 4.11.

* Wed Jun 14 2006 Oden Eriksson <oeriksson@mandriva.com> 1:4.10-1mdv2007.0
- 4.10 (Major feature enhancements)

* Tue Apr 25 2006 Oden Eriksson <oeriksson@mandriva.com> 4.03-1mdk
- 4.03 (Minor bugfixes)

* Sat Feb 11 2006 Oden Eriksson <oeriksson@mandriva.com> 4.01-1mdk
- 4.01 (Minor bugfixes)

* Wed Feb 01 2006 Oden Eriksson <oeriksson@mandriva.com> 4.00-1mdk
- 4.00 (Major feature enhancements)

* Wed Jan 25 2006 Oden Eriksson <oeriksson@mandriva.com> 3.99-1mdk
- 3.99 (Major feature enhancements)

* Sat Dec 10 2005 Oden Eriksson <oeriksson@mandriva.com> 3.95-1mdk
- 3.95 (Major feature enhancements)

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 3.93-2mdk
- rebuilt against openssl-0.9.8a

* Fri Sep 23 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.93-1mdk
- 3.93
- build it against system libs
- added one lib64 fix

* Mon Feb 07 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.81-1mdk
- 3.81

* Sun Feb 06 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.80-1mdk
- 3.80

* Thu Dec 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.78-1mdk
- new release

* Thu Nov 11 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.75-1mdk
- 3.75

* Fri Jul 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.55-1mdk
- new release
- fix laurent's entry

* Sat Jun 05 2004 Laurent Montel <lmontel@mandrakesoft.com> 3.50-5mdk
- Rebuild

* Fri May 14 2004 Michael Scherer <misc@mandrake.org> 3.50-4mdk 
- rebuild for cooker

* Thu Mar 25 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.50-3.1mdk
- recognize amd64 again

* Fri Mar 12 2004 David Baudens <baudens@mandrakesoft.com> 3.50-3mdk
- Fix menu

* Mon Feb 23 2004 Abel Cheung <deaddog@deaddog.org> 3.50-2mdk
- Add epoch to dependency

* Sat Jan 24 2004 Michael Scherer <misc@mandrake.org> 3.50-1mdk
- 3.50

